Bug 1414661 - Should not use deprecated syntax for defining stage in Jenkinsfile Example
Summary: Should not use deprecated syntax for defining stage in Jenkinsfile Example
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 07:47 UTC by Yadan Pei
Modified: 2017-07-24 14:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-08 13:22:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0884 0 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.5 RPM Release Advisory 2017-04-12 22:50:07 UTC

Description Yadan Pei 2017-01-19 07:47:48 UTC
Description of problem:
Using the ‘stage’ step without a block argument is deprecated, if we still define stage without a block argument it will introduce unexpected result as bug 1410680, so it's better to update Jenkinsfile Examples with new definition

Version-Release number of selected component (if applicable):
v3.5.0.6+87f6173
Jenkins Image:openshift3/jenkins-2-rhel7@sha256:53fc8af74d667b54f52e76976a93f17666ed03d5564e88a509072bd971ae6399

How reproducible:
Always

Steps to Reproduce:
1.Create Jenkins template and Pipeline BC, start Pipeline BC
$ oc create -f https://raw.githubusercontent.com/openshift/origin/master/examples/jenkins/jenkins-ephemeral-template.json
$ oc new-app -f https://raw.githubusercontent.com/openshift/origin/master/examples/jenkins/pipeline/samplepipeline.yaml
$ oc start-build sample-pipeline
2.Go to Pipelines -> sample-pipeline -> Configuration tab
3.Click on What's a Jenkinsfile?

Actual results:
3. Will show some Jenkinsfile Examples in popup, take one as example:
node {
  stage 'Build'
  openshiftBuild(buildConfig: 'my-build-config', showBuildLogs: 'true')
  stage 'Deploy'
  openshiftDeploy(deploymentConfig: 'my-deployment-config')
}


Expected results:
3.As bug 1410680 issued, stage definition in Jenkinsfile has changed, using the ‘stage’ step without a block argument is deprecated, it's better to update Jenkinsfile Examples as latest definition.
Especially for users who don't know how to define stage, we need to give correct instructions

Additional info:

Comment 2 Troy Dawson 2017-01-27 17:47:17 UTC
This has been merged into ocp and is in OCP v3.5.0.10 or newer.

Comment 3 Yadan Pei 2017-02-03 05:49:09 UTC
Checked against v3.5.0.14+20b49d0

Now the Jenkinsfile Examples are displayed with latest format(stage is defined in block argument):

node {
  stage('Build') {
    openshiftBuild(buildConfig: 'my-build-config', showBuildLogs: 'true')
  }
  stage('Deploy') {
    openshiftDeploy(deploymentConfig: 'my-deployment-config')
  }
}


Move to VERIFIED


Note You need to log in before you can comment on or make changes to this bug.